Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162333 - No APM support with Dell Inspiron 5150
Summary: No APM support with Dell Inspiron 5150
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 21:44 UTC by Peter Quiring
Modified: 2015-01-04 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 22:00:14 UTC


Attachments (Terms of Use)

Description Peter Quiring 2005-07-02 21:44:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
There is no support for Dell Inspiron 5150 APM in kernel.
Running 'apm' just reports 'No APM Support in Kernel'.
Using ACPI does work (echo -n mem >/sys/power/state) will put it into suspend mode.  So I'm using that and it's good enough for me.
Just installed 2.6.12 - no change.


Version-Release number of selected component (if applicable):
kernel-2.6.12

How reproducible:
Always

Steps to Reproduce:
1.Install latest kernel
2.Run 'apm'
3.Get 'No APM Support in Kernel'
  

Actual Results:  No APM Support in kernel

Expected Results:  apm puts laptop into sleep/standby/suspend/etc modes.

Additional info:

Comment 1 Dave Jones 2005-07-07 22:00:14 UTC
You can't have ACPI and APM active at the same time. If you want to use apm, you
need to boot with acpi=off.



Note You need to log in before you can comment on or make changes to this bug.